FAQ
Here's what happens:

-----------
$ sudo perl -MCPAN -e shell
Password:
Terminal does not support AddHistory.

cpan shell -- CPAN exploration and modules installation (v1.9402)
Enter 'h' for help.

cpan[1]> install FileUtils::More
CPAN: Storable loaded ok (v2.20)
Going to read '/Users/me/.cpan/Metadata'
Database was generated on Sun, 01 Nov 2009 22:27:00 GMT
CPAN: Time::HiRes loaded ok (v1.9719)
LWP not available

Trying with "/usr/local/bin/curl -L -f -s -S --netrc-optional" to get
"
http://mirrors.cpan.org/showmirror.cgi?name=xmission.com/authors/01mailrc.txt.gz
"
CPAN: Compress::Zlib loaded ok (v2.02)
Error while trying to rename
'/Users/me/.cpan/sources/authors/01mailrc.txt.gz.tmp604' to
'/Users/me/.cpan/sources/authors/01mailrc.txt.gz': No such file or directory
LWP not available

Trying with "/usr/local/bin/curl -L -f -s -S --netrc-optional" to get
"
http://mirrors.cpan.org/showmirror.cgi?name=xmission.com/authors/01mailrc.txt.gz
"
Error while trying to rename
'/Users/me/.cpan/sources/authors/01mailrc.txt.gz.tmp604' to
'/Users/me/.cpan/sources/authors/01mailrc.txt.gz': No such file or
directoryTerminal does not support GetHistory.
Lockfile removed.

$
--------------



Here is my setup:

------
$ which perl
/usr/local/bin/perl

$ perl -v
This is perl, v5.10.1 (*) built for darwin-2level
Copyright 1987-2009, Larry Wall
<snip>

$ which cpan
/usr/local/bin/cpan

$ cpan -v
/usr/local/bin/cpan script version 1.9, CPAN.pm version 1.9402

$ sudo find / -type f -name CPAN.pm
/System/Library/Perl/5.8.6/CPAN.pm
/Users/me/.cpan/Bundle/CPAN.pm
/Users/me/my_tar_extractions/perl-5.10.1/lib/CPAN.pm
/usr/local/lib/perl5/5.10.1/CPAN.pm

$ perl -V
Summary of my perl5 (revision 5 version 10 subversion 1) configuration:

Platform:
osname=darwin, osvers=8.11.1, archname=darwin-2level
uname='darwin cws-computer.local 8.11.1 darwin kernel version 8.11.1:
wed oct 10 18:23:28 pdt 2007; root:xnu-792.25.20~1release_i386 i386 i386 '
config_args='-de'
hint=recommended, useposix=true, d_sigaction=define
useithreads=undef, usemultiplicity=undef
useperlio=define, d_sfio=undef, uselargefiles=define, usesocks=undef
use64bitint=undef, use64bitall=undef, uselongdouble=undef
usemymalloc=n, bincompat5005=undef
Compiler:
cc='cc', ccflags ='-fno-common -DPERL_DARWIN -no-cpp-precomp
-fno-strict-aliasing -pipe -I/usr/local/include',
optimize='-O3',
cppflags='-no-cpp-precomp -fno-common -DPERL_DARWIN -no-cpp-precomp
-fno-strict-aliasing -pipe -I/usr/local/include'
ccversion='', gccversion='4.0.1 (Apple Computer, Inc. build 5370)',
gccosandvers=''
intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=16
ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t',
lseeksize=8
alignbytes=8, prototype=define
Linker and Libraries:
ld='env MACOSX_DEPLOYMENT_TARGET=10.3 cc', ldflags =' -L/usr/local/lib'
libpth=/usr/local/lib /usr/lib
libs=-ldbm -ldl -lm -lc
perllibs=-ldl -lm -lc
libc=/usr/lib/libc.dylib, so=dylib, useshrplib=false, libperl=libperl.a
gnulibc_version=''
Dynamic Linking:
dlsrc=dl_dlopen.xs, dlext=bundle, d_dlsymun=undef, ccdlflags=' '
cccdlflags=' ', lddlflags=' -bundle -undefined dynamic_lookup
-L/usr/local/lib'


Characteristics of this binary (from libperl):
Compile-time options: PERL_DONT_CREATE_GVSV PERL_MALLOC_WRAP
USE_LARGE_FILES USE_PERLIO
Built under darwin
Compiled at Nov 5 2009 01:43:02
@INC:
/usr/local/lib/perl5/5.10.1/darwin-2level
/usr/local/lib/perl5/5.10.1
/usr/local/lib/perl5/site_perl/5.10.1/darwin-2level
/usr/local/lib/perl5/site_perl/5.10.1
/usr/local/lib/perl5/site_perl/5.8.6
/usr/local/lib/perl5/site_perl
.

$ sudo find / -name LWP
Password:
/Library/Perl/5.8.6/darwin-thread-multi-2level/auto/LWP
/Library/Perl/5.8.6/LWP
/System/Library/Perl/5.8.6/CPAN/LWP
/Users/me/.cpan/build/libwww-perl-5.833-594ynR/blib/arch/auto/LWP
/Users/me/.cpan/build/libwww-perl-5.833-594ynR/blib/lib/auto/LWP
/Users/me/.cpan/build/libwww-perl-5.833-594ynR/blib/lib/LWP
/Users/me/.cpan/build/libwww-perl-5.833-594ynR/lib/LWP
/Users/me/.cpan/build/libwww-perl-5.833-KTAvI8/blib/arch/auto/LWP
/Users/me/.cpan/build/libwww-perl-5.833-KTAvI8/blib/lib/auto/LWP
/Users/me/.cpan/build/libwww-perl-5.833-KTAvI8/blib/lib/LWP
/Users/me/.cpan/build/libwww-perl-5.833-KTAvI8/lib/LWP
/Users/me/my_tar_extractions/libwww-perl-5.833/blib/arch/auto/LWP
/Users/me/my_tar_extractions/libwww-perl-5.833/blib/lib/auto/LWP
/Users/me/my_tar_extractions/libwww-perl-5.833/blib/lib/LWP
/Users/me/my_tar_extractions/libwww-perl-5.833/lib/LWP
/Users/me/my_tar_extractions/perl-5.10.1/lib/CPAN/LWP
/usr/local/lib/perl5/5.10.1/CPAN/LWP
-------


Can anyone diagnose the problem? Previously, I was using my system's perl
5.8.6, but I couldn't get cpan to install the first module I tried to
install, LWP::Simple. cpan could not complete its 'make test' for the
LWP::Simple install. So someone suggested that I install libwww-perl-5.833
by hand and skip the 'make test' step while installing. I did that, and
afterwards I was able to use LWP::Simple in a perl script. Next, I tried to
use cpan to install FileUtils::More, but that didn't work. As a result, I
decided to upgrade to perl 5.10.1 to see if that would cure the cpan
problems. After successfully installing perl 5.10.1, I tried to use cpan
to install FileUtils::More, but once again cpan couldn't install the module.

Thanks.

Search Discussions

Discussion Posts

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 1 of 5 | next ›
Discussion Overview
groupcpan-discuss @
categoriesperl
postedNov 11, '09 at 4:06p
activeNov 15, '09 at 9:07a
posts5
users2
websitecpan.org

2 users in discussion

7: 4 posts Andreas J. Koenig: 1 post

People

Translate

site design / logo © 2022 Grokbase